Subject: Re: [PATCH net-next v3] tools: ynl: Add missing types to encode/decode

From: Jakub Kicinski <[email-masked]>
Date: Thu, 23 Mar 2023 21:54:08 -0700

On Thu, 23 Mar 2023 18:51:29 +0100 Michal Michalik wrote:
> While testing the tool I noticed we miss the u16 type on payload create.
> On the code inspection it turned out we miss also u8 and u64 - add them.
> 
> We also miss the decoding of u16 despite the fact `NlAttr` class
> supports it - add it.
> 
> Fixes: e4b48ed460d3 ("tools: ynl: add a completely generic client")

No fixes tag, no in-tree spec needs these today, right?
Please rebase, too, Jiri sent in just the u8 addition in the meantime.